Package org.apache.sling.starter.access.models

# Class RestrictionItem

java.lang.Object
org.apache.sling.starter.access.models.RestrictionItem

public class RestrictionItem extends Object

## Constructor Summary

Constructors
Constructor
Description
`RestrictionItem(org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition rd, Object value, boolean exists)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`getValue()`
`List<String>`
`getValues()`
`boolean`
`isExists()`
`boolean`
`isMandatory()`
`boolean`
`isMultiValue()`
`void`
`setExists(boolean exists)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RestrictionItem

public RestrictionItem(org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionDefinition rd, Object value, boolean exists)

## Method Details

### getName

public String getName()

### isMultiValue

public boolean isMultiValue()

### getValue

public String getValue() throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

### getValues

public List<String> getValues() throws javax.jcr.RepositoryException

Throws:
  `javax.jcr.RepositoryException`

### isExists

public boolean isExists()

### setExists

public void setExists(boolean exists)

### isMandatory

public boolean isMandatory()

### toString

public String toString()

Overrides:
  `toString` in class `Object`